function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-solid-card-brightness);\n\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-solid-card-brightness);\n                ",
        ": var(--text-positive);\n\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-solid-card-brightness);\n                ",
        ": var(--text-negative);\n\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-solid-card-brightness);\n\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-secondary);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--on-dark-surface-solid-primary-brightness);\n\n                ",
        ": var(--on-dark-text-secondary);\n                ",
        ": var(--on-dark-text-secondary);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-light-text-primary);\n                ",
        ": var(--on-light-surface-solid-primary-brightness);\n\n                ",
        ": var(--on-light-text-secondary);\n                ",
        ": var(--on-light-text-secondary);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.75rem;\n                ",
        ": calc(100vw - 5rem);\n                ",
        ": 0.5625rem 0.75rem;\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n\n                ",
        ": -0.0625rem 0.375rem -0.0625rem -0.125rem;\n                ",
        ": -0.0625rem -0.25rem -0.0625rem 0.5rem;\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1rem;\n                ",
        ": 1.5rem;\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1.5rem;\n\n                ",
        ": -0.0625rem 0.375rem -0.0625rem -0.25rem;\n                ",
        ": -0.0625rem -0.25rem -0.0625rem 0.375rem;\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, toastTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        size: 'm',
        closeIconType: 'default'
    },
    variations: {
        view: {
            default: css(_templateObject(), toastTokens.color, toastTokens.background, toastTokens.closeIconColor, toastTokens.closeIconColorOnHover),
            positive: css(_templateObject1(), toastTokens.color, toastTokens.background, toastTokens.contentLeftColor, toastTokens.closeIconColor, toastTokens.closeIconColorOnHover),
            negative: css(_templateObject2(), toastTokens.color, toastTokens.background, toastTokens.contentLeftColor, toastTokens.closeIconColor, toastTokens.closeIconColorOnHover),
            /**
             * @deprecated
             * использовать `default`
             */ primary: css(_templateObject3(), toastTokens.color, toastTokens.background, toastTokens.closeIconColor, toastTokens.closeIconColorOnHover),
            /**
             * @deprecated
             * светлый и темный фон регулировать через `view` компонента `ViewContainer`
             */ dark: css(_templateObject4(), toastTokens.color, toastTokens.background, toastTokens.closeIconColor, toastTokens.closeIconColorOnHover),
            /**
             * @deprecated
             * светлый и темный фон регулировать через `view` компонента `ViewContainer`
             */ light: css(_templateObject5(), toastTokens.color, toastTokens.background, toastTokens.closeIconColor, toastTokens.closeIconColorOnHover)
        },
        size: {
            m: css(_templateObject6(), toastTokens.borderRadius, toastTokens.maxWidth, toastTokens.padding, toastTokens.fontFamily, toastTokens.fontSize, toastTokens.fontStyle, toastTokens.fontWeight, toastTokens.letterSpacing, toastTokens.lineHeight, toastTokens.contentLeftMargin, toastTokens.closeIconMargin)
        },
        closeIconType: {
            default: css(_templateObject7(), toastTokens.closeIconButtonSize, toastTokens.closeIconSize)
        },
        pilled: {
            true: css(_templateObject8(), toastTokens.pilledBorderRadius, toastTokens.contentLeftMargin, toastTokens.closeIconMargin)
        }
    }
};
